PUT Application/PutSemanticEntity
Request Information
URI Parameters
None.
Body Parameters
SemanticEntity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SemanticContextID | globally unique identifier |
Required |
|
| SchemaName | string |
Required |
|
| Name | string |
Required |
|
| AssemblyQualifiedName | string |
None. |
|
| IsActive | boolean |
Required |
|
| SemanticProperties | Collection of SemanticProperty |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "04bab583-1fb7-4919-8681-b6b173b92cbf",
"semanticContextID": "bd424e8b-5956-4519-83c8-e1a78249a4e5",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "2",
"id": "5631ef4b-316e-4e3d-8540-7f946a09bdd2",
"semanticEntityID": "6d08dde7-b10f-42a4-bccc-f9823645dd0b",
"semanticEnumerationID": "32fe1b7b-e8bc-4933-ad33-3e0e61914186",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "2"
}
]
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.